package com.microservices.dss.config;

import com.microservices.dss.Interceptor.GitlinkAdminAccessInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfig implements WebMvcConfigurer {


    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(gitlinkAdminAccessInterceptor())
                .addPathPatterns("/**");
    }

    public GitlinkAdminAccessInterceptor gitlinkAdminAccessInterceptor() {
    return new GitlinkAdminAccessInterceptor();
    }
}
